-- kernal.lua for kernal effects

kernal = love.graphics.newPixelEffect[[
extern vec2 pixel_size;

vec4 effect(vec4 color, Image tex, vec2 tc, vec2 pixel_coords)
{
    color = vec4(1.0);
    // the kernel
    color +=  1. * Texel(tex, tc + vec2(-pixel_size.x, -pixel_size.y));
    color +=  2. * Texel(tex, tc + vec2( 0, -pixel_size.y));
    color +=  1. * Texel(tex, tc + vec2( pixel_size.x, -pixel_size.y));
    color += -1. * Texel(tex, tc + vec2(-pixel_size.x, pixel_size.y));
    color += -2. * Texel(tex, tc + vec2( 0, pixel_size.y));
    color += -1. * Texel(tex, tc + vec2(pixel_size.x, pixel_size.y));

    return color;
}]]
